//********Created by Sotiriou Christos
//********(A.K.A.) Soulstorm
//******** http://users.forthnet.gr/ath/jonmecos
#ifndef ACCOUNT_H
#define ACCOUNT_H

#import "Cocoa/Cocoa.h"
@interface Account : NSObject <NSCopying, NSCoding>
{
	NSString *accName;
	NSNumber *accDeposit;
}

-(void) setName: (NSString *) theName;
-(void) setDeposit: (NSNumber *) theDeposit;
-(void) setName: (NSString *) theName andDeposit: (NSNumber *) theDeposit;
//-(id)	initWithName: (NSString *) theName andDeposit: (int) theDeposit;

-(NSString *) accName;
-(NSNumber *) accDeposit;
-(void) print;

-(Account *) copyWithZone: (NSZone *) zone;
-(NSComparisonResult) compareNames: (Account *) theAcc;
-(NSComparisonResult) compareDeposits: (Account *) theAcc;

//additional endoding and decoding routines
-(void) encodeWithCoder: (NSCoder *) encoder;
-(id) initWithCoder: (NSCoder *) decoder;


-(void) dealloc;
@end
#endif